mysqli_stmt::prepare
mysqli_stmt::result_metadata
mysqli_stmt
PHP Manual

# mysqli_stmt::reset

# mysqli_stmt_reset

Resets a prepared statement

### Description

Object oriented style

bool mysqli_stmt::reset ( void )

Procedural style

bool mysqli_stmt_reset ( mysqli_stmt `$stmt` )

Resets a prepared statement on client and server to state after prepare.

It resets the statement on the server, data sent using mysqli_stmt_send_long_data, unbuffered result sets and current errors. It does not clear bindings or stored result sets. Stored result sets will be cleared when executing the prepared statement (or closing it).

To prepare a statement with another query use function mysqli_stmt_prepare.

### Parameters

`stmt`

  Procedural style only: A statement identifier returned by mysqli_stmt_init.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- mysqli_prepare